#include "xfxtraildef.h"

XFxTrailDef::XFxTrailDef()
    : XAsset()
    , mScrollTimeMsec(0)
    , mRepeatDist(0)
    , mSplitDist(0)
    , mVertCount(0)
    , mVerts()
    , mIndCount(0)
    , mIndices()
{
    
}

XFxTrailDef::~XFxTrailDef()
{
    
}

void XFxTrailDef::Clear()
{
    mScrollTimeMsec = 0;
    mRepeatDist = 0;
    mSplitDist = 0;
    mVertCount = 0;
    mVerts = QVector<XFxTrailVertex>();
    mIndCount = 0;
    mIndices = QVector<quint32>();
}

void XFxTrailDef::ParseData(QDataStream *aStream)
{
    
}
